C******************** START FILE UEXITA.FOR ; GROUP USINIT *************
C=============================================
C&  UEXITA EXIT PROGRAM W/TTY-DEPENDENT PAGE CLEAR
C
C  EXIT A PROGRAM WHICH USED SG LIBRARY
C
      SUBROUTINE UEXITA(IDUM)
C
      INCLUDE 'USERIO'
C
#ifdef __VMS
      INTEGER SMG$DELETE_VIRTUAL_KEYBOARD
C
C---------------------------------------------------------------
C
      IF(LUNTIN(1).NE.5) THEN
         ISTAT=SMG$DELETE_VIRTUAL_KEYBOARD(LUNTIN(1))
      ENDIF
#endif
C
      IF(NTTYP.GE.0) THEN
        CALL NEUPAG
        CALL AGFCLOS(CBUFF)
      ENDIF
C
      call good_exit  ! a normal exit, stop, status 0.
C
      STOP
      END
C******************** END FILE UEXITA.FOR ; GROUP USINIT ***************
